- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CDRParser Class Reference

`#include <CDRParser.h>`

## Public Member Functions
| CDRParser (WPXInputStream *input, const std::vector< WPXInputStream * > &externalStreams, CDRCollector *collector)
virtual | ~CDRParser ()
bool | parseRecords (WPXInputStream *input, unsigned *blockLengths=0, unsigned level=0)

## Private Member Functions
| CDRParser ()
| CDRParser (const CDRParser &)
CDRParser & | operator= (const CDRParser &)
bool | parseRecord (WPXInputStream *input, unsigned *blockLengths=0, unsigned level=0)
void | readRecord (WPXString fourCC, unsigned length, WPXInputStream *input)
double | readCoordinate (WPXInputStream *input)
double | readAngle (WPXInputStream *input)
void | readRectangle (WPXInputStream *input)
void | readEllipse (WPXInputStream *input)
void | readLineAndCurve (WPXInputStream *input)
void | readBitmap (WPXInputStream *input)
void | readOpacity (WPXInputStream *input, unsigned length)
void | readTrfd (WPXInputStream *input, unsigned length)
void | readFild (WPXInputStream *input, unsigned length)
void | readOutl (WPXInputStream *input, unsigned length)
void | readLoda (WPXInputStream *input, unsigned length)
void | readFlags (WPXInputStream *input, unsigned length)
void | readMcfg (WPXInputStream *input, unsigned length)
void | readPath (WPXInputStream *input)
void | readPolygonCoords (WPXInputStream *input)
void | readPolygonTransform (WPXInputStream *input)
void | readBmp (WPXInputStream *input, unsigned length)
void | readBmpf (WPXInputStream *input, unsigned length)
void | readPpdt (WPXInputStream *input, unsigned length)
void | readFtil (WPXInputStream *input, unsigned length)
void | readDisp (WPXInputStream *input, unsigned length)
void | readVersion (WPXInputStream *input, unsigned length)

## Private Attributes
WPXInputStream * | m_input
std::vector< WPXInputStream * > | m_externalStreams
CDRCollector * | m_collector
unsigned | m_version

## Constructor & Destructor Documentation

libcdr::CDRParser::CDRParser | ( | WPXInputStream * | input,
|  | const std::vector< WPXInputStream * > & | externalStreams,
|  | libcdr::CDRCollector * | collector
| ) |  |
| explicit

libcdr::CDRParser::~CDRParser | ( |  | ) |
| virtual

libcdr::CDRParser::CDRParser | ( |  | ) |
| private

libcdr::CDRParser::CDRParser | ( | const CDRParser & |  | ) |
| private

## Member Function Documentation

CDRParser& libcdr::CDRParser::operator= | ( | const CDRParser & |  | ) |
| private

bool libcdr::CDRParser::parseRecord | ( | WPXInputStream * | input,
|  | unsigned * | blockLengths = `0`,
|  | unsigned | level = `0`
| ) |  |
| private

bool libcdr::CDRParser::parseRecords | ( | WPXInputStream * | input,
|  | unsigned * | blockLengths = `0`,
|  | unsigned | level = `0`
| ) |  |

Referenced by libcdr::CDRDocument::parse().

double libcdr::CDRParser::readAngle | ( | WPXInputStream * | input | ) |
| private

void libcdr::CDRParser::readBitmap | ( | WPXInputStream * | input | ) |
| private

void libcdr::CDRParser::readBmp | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CDRParser::readBmpf | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

double libcdr::CDRParser::readCoordinate | ( | WPXInputStream * | input | ) |
| private

void libcdr::CDRParser::readDisp | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CDRParser::readEllipse | ( | WPXInputStream * | input | ) |
| private

void libcdr::CDRParser::readFild | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CDRParser::readFlags | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CDRParser::readFtil | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CDRParser::readLineAndCurve | ( | WPXInputStream * | input | ) |
| private

void libcdr::CDRParser::readLoda | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CDRParser::readMcfg | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CDRParser::readOpacity | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CDRParser::readOutl | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CDRParser::readPath | ( | WPXInputStream * | input | ) |
| private

void libcdr::CDRParser::readPolygonCoords | ( | WPXInputStream * | input | ) |
| private

void libcdr::CDRParser::readPolygonTransform | ( | WPXInputStream * | input | ) |
| private

void libcdr::CDRParser::readPpdt | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CDRParser::readRecord | ( | WPXString | fourCC,
|  | unsigned | length,
|  | WPXInputStream * | input
| ) |  |
| private

void libcdr::CDRParser::readRectangle | ( | WPXInputStream * | input | ) |
| private

void libcdr::CDRParser::readTrfd | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CDRParser::readVersion | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

## Member Data Documentation

CDRCollector* libcdr::CDRParser::m_collector
| private

std::vector<WPXInputStream *> libcdr::CDRParser::m_externalStreams
| private

WPXInputStream* libcdr::CDRParser::m_input
| private

unsigned libcdr::CDRParser::m_version
| private

The documentation for this class was generated from the following files:

- CDRParser.h
- CDRParser.cpp